package com.pcloud.book.skill.dao;

import com.pcloud.book.skill.entity.PcloudResource;
import com.pcloud.book.skill.facade.response.QueryPcloudResponseVO;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;
import java.util.Map;

public interface PcloudResourceDao extends BaseDao<PcloudResource> {
    int deletePcloudResource(Long id);

    QueryPcloudResponseVO getPcloudResource(Long id);

    Map<Long,PcloudResource> mayByIds(List<Long> ids);
}
